Package org.apache.sling.scripting.sightly.impl.plugin

## Class AbstractRepeatPlugin

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.plugin.AbstractPlugin
  - - org.apache.sling.scripting.sightly.impl.plugin.AbstractRepeatPlugin

All Implemented Interfaces:
  `Comparable<Plugin>`, `Plugin`

Direct Known Subclasses:
  `ListPlugin`, `RepeatPlugin`

    public abstract class AbstractRepeatPlugin
    extends AbstractPlugin

### Field Summary

Fields
`protected static String` `BEGIN`
`protected static String` `COUNT`
`protected static String` `END`
`protected static String` `EVEN`
`protected static String` `FIRST`
`protected static String` `INDEX`
`protected static String` `LAST`
`protected static String` `MIDDLE`
`protected static String` `ODD`
`protected static String` `STEP`

### Fields inherited from class org.apache.sling.scripting.sightly.impl.plugin.AbstractPlugin

`name, priority`

### Constructor Summary

Constructors
`AbstractRepeatPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected MapLiteral` `buildStatusObj​(String indexVar, String sizeVar)`

### Methods inherited from class org.apache.sling.scripting.sightly.impl.plugin.AbstractPlugin

`compareTo, decodeVariableName, name, priority`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.scripting.sightly.impl.plugin.Plugin

`invoke`

### Field Detail

#### INDEX

    protected static final String INDEX

See Also:
  Constant Field Values

#### COUNT

    protected static final String COUNT

See Also:
  Constant Field Values

#### FIRST

    protected static final String FIRST

See Also:
  Constant Field Values

#### MIDDLE

    protected static final String MIDDLE

See Also:
  Constant Field Values

#### LAST

    protected static final String LAST

See Also:
  Constant Field Values

#### ODD

    protected static final String ODD

See Also:
  Constant Field Values

#### EVEN

    protected static final String EVEN

See Also:
  Constant Field Values

#### BEGIN

    protected static final String BEGIN

See Also:
  Constant Field Values

#### STEP

    protected static final String STEP

See Also:
  Constant Field Values

#### END

    protected static final String END

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractRepeatPlugin

    public AbstractRepeatPlugin()

### Method Detail

#### buildStatusObj

    protected MapLiteral buildStatusObj​(String indexVar,
                                        String sizeVar)